Package org.apache.sysds.runtime.lineage

## Class LineageCache

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageCache

    public class LineageCache
    extends Object

### Constructor Summary

Constructors
`LineageCache()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LineageCacheEntry` `getEntry​(LineageItem key)`
`static Map<LineageItem,​LineageCacheEntry>` `getLineageCache()`
`static MatrixBlock` `getMatrix​(LineageItem key)`
`static boolean` `probe​(LineageItem key)`
`static void` `putFedReadObject​(Data data, LineageItem li, ExecutionContext ec)`
`static void` `putMatrix​(Instruction inst, ExecutionContext ec, long computetime)`
`static void` `putSerializedObject​(byte[] serialBytes, LineageItem objLI, long computetime)`
`static void` `putValue​(List<DataIdentifier> outputs, LineageItem[] liInputs, String name, ExecutionContext ec, long computetime)`
`static void` `putValue​(FederatedUDF udf, ExecutionContext ec, long computetime)`
`static void` `putValue​(Instruction inst, ExecutionContext ec, long starttime)`
`static void` `removeEntry​(LineageItem key)`
`static void` `resetCache()`
`static boolean` `reuse​(List<String> outNames, List<DataIdentifier> outParams, int numOutputs, LineageItem[] liInputs, String name, ExecutionContext ec)`
`static FederatedResponse` `reuse​(FederatedUDF udf, ExecutionContext ec)`
`static boolean` `reuse​(Instruction inst, ExecutionContext ec)`
`static boolean` `reuseFedRead​(String outName, Types.DataType dataType, LineageItem li, ExecutionContext ec)`
`static byte[]` `reuseSerialization​(LineageItem objLI)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageCache

    public LineageCache()

### Method Detail

#### reuse

    public static boolean reuse​(Instruction inst,
                                ExecutionContext ec)

#### reuse

    public static boolean reuse​(List<String> outNames,
                                List<DataIdentifier> outParams,
                                int numOutputs,
                                LineageItem[] liInputs,
                                String name,
                                ExecutionContext ec)

#### reuse

    public static FederatedResponse reuse​(FederatedUDF udf,
                                          ExecutionContext ec)

#### reuseFedRead

    public static boolean reuseFedRead​(String outName,
                                       Types.DataType dataType,
                                       LineageItem li,
                                       ExecutionContext ec)

#### reuseSerialization

    public static byte[] reuseSerialization​(LineageItem objLI)

#### probe

    public static boolean probe​(LineageItem key)

#### removeEntry

    public static void removeEntry​(LineageItem key)

#### getMatrix

    public static MatrixBlock getMatrix​(LineageItem key)

#### getEntry

    public static LineageCacheEntry getEntry​(LineageItem key)

#### putMatrix

    public static void putMatrix​(Instruction inst,
                                 ExecutionContext ec,
                                 long computetime)

#### putValue

    public static void putValue​(Instruction inst,
                                ExecutionContext ec,
                                long starttime)

#### putValue

    public static void putValue​(List<DataIdentifier> outputs,
                                LineageItem[] liInputs,
                                String name,
                                ExecutionContext ec,
                                long computetime)

#### putValue

    public static void putValue​(FederatedUDF udf,
                                ExecutionContext ec,
                                long computetime)

#### putFedReadObject

    public static void putFedReadObject​(Data data,
                                        LineageItem li,
                                        ExecutionContext ec)

#### putSerializedObject

    public static void putSerializedObject​(byte[] serialBytes,
                                           LineageItem objLI,
                                           long computetime)

#### resetCache

    public static void resetCache()

#### getLineageCache

    public static Map<LineageItem,​LineageCacheEntry> getLineageCache()